sleuthkit for Debian
--------------------

Java bindings compilation is calling external sites to download files
in building time. This is a non free action. So, the Java bindings
building was disabled at debian/rules. More details about this problem
can be viewed at https://github.com/sleuthkit/sleuthkit/issues/319.

  -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Mar 2014 12:08:22 -0300



About the licensing
-------------------

Considering that the TSK licensing is a bit confuse, I will explain
better about it.

The main license of The Sleuth Kit is Common Public License. From TSK
homepage[1]:

"The source code in TSK are distributed under several licenses. Each
 source code file identifies the license that applies to its contents.

 Some of the files in TSK core (non-framework) have roots in The
 Coroner's Toolkit (TCT) and are distributed under the IBM Public
 License. These files are limited to the file system code and mainly
 for the FFS and Ext2 file systems. Files that have been created since
 the fork are released under the Common Public License. This includes
 all other files in the library. Note that the Common Public License
 is a generic form of the IBM Public License.

 The framework code is distributed under the Common Public License.

 TSK also distributes a striped down copy of GNU binutils strings,
 which has a GPL 2 license."

[1] http://www.sleuthkit.org/sleuthkit/licenses.php

From IBM Linux Handbook (SG247000.book)[2]:

 "2.4.1 IBM and open source licenses

   The first IBM open source license was the IBM Public License (IPL),
   introduced in 1999 and certified by the OSI in the same year. As
   part of the Eclipse release in 2001, IBM updated the IPL and renamed
   it the Common Public License (CPL). The OSI certified the CPL in May
   2001 as an open source license."

[2] http://publib-b.boulder.ibm.com/abstracts/sg247000.html

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Nov 2015 16:06:26 -0200
